[med-svn] [Git][med-team/scythe][master] 4 commits: Add autopkgtests

Nilesh Patra gitlab at salsa.debian.org
Fri Aug 14 11:05:01 BST 2020



Nilesh Patra pushed to branch master at Debian Med / scythe


Commits:
63e5f707 by Nilesh Patra at 2020-08-14T15:25:26+05:30
Add autopkgtests

- - - - -
14f904da by Nilesh Patra at 2020-08-14T15:28:43+05:30
compat version: 13, standards version: 4.5.0

- - - - -
71e4bfb0 by Nilesh Patra at 2020-08-14T15:29:04+05:30
Add "Rules-Requires-Root:no"

- - - - -
64bcf7ef by Nilesh Patra at 2020-08-14T15:34:44+05:30
Add hardening flags

- - - - -


4 changed files:

- debian/control
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/control
=====================================
@@ -3,14 +3,15 @@ Maintainer: Debian Med Packaging Team <debian-med-packaging at lists.alioth.debian.
 Uploaders: Kevin Murray <spam at kdmurray.id.au>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                markdown,
                check
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/scythe
 Vcs-Git: https://salsa.debian.org/med-team/scythe.git
 Homepage: https://github.com/vsbuffalo/scythe
+Rules-Requires-Root: no
 
 Package: scythe
 Architecture: any


=====================================
debian/rules
=====================================
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
 
+include /usr/share/dpkg/buildflags.mk
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@
 


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,33 @@
+#!/bin/bash
+set -e
+
+pkg=scythe
+CUR_DIR=`pwd`
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/* -a "${AUTOPKGTEST_TMP}"
+cp ${CUR_DIR}/testing/reads.fastq -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+contam_rate=0.5
+mkdir -p scythe/results/$contam_rate
+## scythe trimming - multiple priors for 40% contamination
+i=1
+for prior in 0.00 0.05 0.10 0.15 0.20 0.25 0.30 0.35 0.40 0.45 0.50 0.55 0.60 0.65 0.70 0.75 0.80 0.85 0.90 0.95
+do
+    for rep in 01 02 03 04 05 06 07 08 09 10
+    do
+	echo "Test $i"	
+	echo "Testing with prior:$prior and rep:$rep"
+        scythe -n 0 -p $prior -a illumina_adapters.fa reads.fastq > scythe/results/$contam_rate/trimmed-$rep-$prior.fastq 2> /dev/null
+	echo "PASS"
+	((i++))
+    done
+done
+



View it on GitLab: https://salsa.debian.org/med-team/scythe/-/compare/6021fa27c7fdd51974ffb6f4963be6ae2f4e5889...64bcf7ef1ea32e348e7a2e98045b96b1dfff2b18

-- 
View it on GitLab: https://salsa.debian.org/med-team/scythe/-/compare/6021fa27c7fdd51974ffb6f4963be6ae2f4e5889...64bcf7ef1ea32e348e7a2e98045b96b1dfff2b18
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200814/d897656e/attachment-0001.html>


More information about the debian-med-commit mailing list